package com.example.pruebaslider;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.Vector;

import android.os.StrictMode;
import android.util.Log;


public class AlmacenPuntuacionesSW_PHP  {

	public AlmacenPuntuacionesSW_PHP() {

		StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder()
				.permitNetwork().build());

	}

	public Vector<String> listaPuntuaciones(int cantidad) {

		Vector<String> result = new Vector<String>();

		try {

			URL url = new URL(
					"http://www.conalsoft.com/android/rompe_cocos/lista.php?max=20");

			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();

			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));

				String linea = reader.readLine();
				
								
				while (!linea.equals("")) {
					result.add(linea);
					linea = reader.readLine();
				}
				result.add("Final");
				reader.close();
				conexion.disconnect();
				return result;

			} else {

				Log.e("Rompe Cocos", conexion.getResponseMessage());

				conexion.disconnect();
				return result;

			}

		} catch (Exception e) {

			Log.e("Rompe Cocos", e.getMessage(), e);
			// conexion.disconnect();
			return result;

		}

	}

	public void guardarPuntuacion(int puntos, String nombre, long fecha) {

		try {

			URL url = new URL("http://www.conalsoft.com/android/rompe_cocos/nueva.php"
					+ "?puntos=" + puntos + "&nombre="
					+ URLEncoder.encode(nombre, "UTF-8") + "&fecha=" + fecha);

			HttpURLConnection conexion = (HttpURLConnection) url

			.openConnection();

			if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {

				BufferedReader reader = new BufferedReader(
						new InputStreamReader(conexion.getInputStream()));

				String linea = reader.readLine();

				if (!linea.equals("OK")) {

					Log.e("Rompe Cocos", "Error en servicio Web nueva");

				}

			} else {

				Log.e("Rompe Cocos", conexion.getResponseMessage());

			}

			conexion.disconnect();

		} catch (Exception e) {

			Log.e("Rompe Cocos", e.getMessage(), e);

		}

	}

}