package com.example.pruebaslider;


import android.app.Activity;
import android.content.Intent;
import android.media.AudioManager;
import android.media.SoundPool;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.ViewFlipper;

public class MainActivityViewFlipper extends Activity implements OnClickListener {

	Button btnSig, btnAnt;
	ViewFlipper vfFotos;
	
	int gallery_grid_Images[]={	R.drawable.bebe2_f,R.drawable.gato_v,R.drawable.museo_v,R.drawable.guerra_v,
								R.drawable.bebe3_f,R.drawable.hombre_v,R.drawable.sapo_v,R.drawable.bebe1_v,
								R.drawable.justin_v,R.drawable.gato_f,R.drawable.bebe2_v,R.drawable.hombre_f,
								R.drawable.bebe2_f,R.drawable.bebe3_v,R.drawable.perro3_f,R.drawable.guerra_f,
								R.drawable.justin_f,R.drawable.museo_f,R.drawable.gato_v,R.drawable.perro3_v, R.drawable.sapo_f};
	//int  gallery_grid[][][] = {0,1,R.drawable.sol1};
	int gallery_rta_si[]={0,0,1,1,
							0,0,0,0,
							1,0,1,0,
							0,1,0,0,
							0,0,1,1,0};
	int gallery_rta_no[]={1,1,0,0,
							1,1,1,1,
							0,1,0,1,
							1,0,1,1,
							1,1,0,0,1};
	int posicion=0, puntuacion=0;
	
	public static AlmacenPuntuacionesSW_PHP almacen= new AlmacenPuntuacionesSW_PHP();
	
	
	// //// MULTIMEDIA //////
		SoundPool soundPool;
		int  mpAcierto, mpError;
		
		private String nick;
		
	 @Override
	    protected void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        setContentView(R.layout.main_view_flipper);
	 
	        // Establece el ViewPager con las secciones del Adapter
	        btnSig = (Button) findViewById(R.id.btnSig);
	        btnAnt = (Button) findViewById(R.id.btnAnt);
	        vfFotos = (ViewFlipper) findViewById(R.id.vfFotos);
	        final TextView texTemp = (TextView) findViewById(R.id.tvTemporizador);
	        
	        
	        btnSig.setOnClickListener(this);
	        btnAnt.setOnClickListener(this);
	        //vfFotos.setOnClickListener(this);
	        for(int i=0;i<gallery_grid_Images.length;i++)
	        {
	        //  This will create dynamic image view and add them to ViewFlipper
	            setFlipperImage(gallery_grid_Images[i]);
	        }
	        btnSig.setTag(gallery_rta_si[posicion]);
	        btnAnt.setTag(gallery_rta_no[posicion]);
	        	                
	        //temporizador
	        new CountDownTimer(15000, 1000) {
	            public void onTick(long millisUntilFinished) {
	            	texTemp.setText("" + millisUntilFinished / 1000);
	            }
	            public void onFinish() {
	            	MensajeFin();
	            	texTemp.setText("Fin!");
	            }
	         }.start();

	      // MULTIMEDIA
				soundPool = new SoundPool(5, AudioManager.STREAM_MUSIC, 0);
				mpAcierto = soundPool.load(this, R.raw.acierto, 0);
				mpError = soundPool.load(this, R.raw.beep, 0);
				
	     // 
				Bundle extras = getIntent().getExtras();
				nick = extras.getString("nick");

	    }
	 
	 private void MensajeFin() {
		 Toast.makeText(this, "Total Puntos: "+puntuacion, Toast.LENGTH_LONG).show();
		 btnSig.setEnabled(false);
		 btnAnt.setEnabled(false);
		 //String nombre = "Wilfredo Daza Diaz";
		 almacen.guardarPuntuacion(puntuacion, nick,System.currentTimeMillis());
		 salir();
	 }
	 private void setFlipperImage(int res) {
		    Log.i("Set Filpper Called", res+"");
		    ImageView image = new ImageView(getApplicationContext());
		    image.setBackgroundResource(res);
		    vfFotos.addView(image);
		}

	@Override
	public void onClick(View v) {
				
		
		//evalua el resultado
		if((Integer)v.getTag()==1){
			//Toast.makeText(this, "Si!!, correcto.", Toast.LENGTH_SHORT).show();
			soundPool.play(mpAcierto, 1, 1, 1, 0, 1);
			puntuacion=puntuacion+5;
		}	else{
			//Toast.makeText(this, "No, no, no..", Toast.LENGTH_SHORT).show();
			soundPool.play(mpError, 1, 1, 1, 0, 1);
		}
		
		//setea las dos botones
		posicion++;
		if(posicion==20){
			posicion=0;
		}
		btnSig.setTag(gallery_rta_si[posicion]);
        btnAnt.setTag(gallery_rta_no[posicion]);
		vfFotos.showPrevious();
	}
	
	private void salir() {

		Intent i = new Intent();
		//i.putExtra("resultado", (String) view.getTag());
		setResult(RESULT_OK,i);
		finish();

	}

	
}
